import Vue from 'vue'
import App from './App.vue'
import { Loading } from 'element-ui';
import router from './router' //路由
import store from './config/config.js' //vuex
import './plugins/element.js' //elementUI
import './assets/sc/iconfont.css'
import '@/permission' // permission control
import ajax from './api/userApi' //封装axios
Vue.prototype.ajax = ajax
    // Vue.prototype.$bus = {};

Vue.config.productionTip = false
Vue.prototype.$loading = Loading
Vue.prototype.openLoading = function(target) {
    const loading = this.$loading.service({ // 声明一个loading对象
        lock: true, // 是否锁屏
        background: 'rgba(255, 255, 255, 0.7)', // 背景颜色
        target: target ? target : document.body, // 需要遮罩的区域
        body: true,
    })
    return loading;
}

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')